[tools]
node = "22"
pnpm = "latest"
python = "3.12"
uv = "latest"

[tasks."container:build"]
description = "Build the container for a project"
run = "docker buildx bake --no-cache"

[tasks."secrets:list"]
description = "List secrets from Vault"
run = """vault kv get -mount="secret" -address=https://vault.ia-innovacion.work -format=json "banortegpt"| jq '.["data"]["data"]'"""
silent = true

[tasks.setup]
run = """
pnpm install && pnpm build
uv sync --all-packages
"""
